local CompanyComp = class("CompanyComp", LuaComponent)

function CompanyComp:init()
	self.uiMap = self:getBaseObject():genAllChildren()

	self.talentBtn = self.uiMap["company_comp.talent_btn"]
	self.talentBtn:addClickListener(function()
		ModuleManager.TalentManager:showMainUI()
	end)
end

function CompanyComp:refresh()
end

return CompanyComp